Subject: Re: linux-next: build failure after merge of the omap_dss2 tree

From: Tomi Valkeinen <[email-masked]>
Date: Fri, 26 Apr 2013 09:57:22 +0300

On 2013-04-26 08:56, Stephen Rothwell wrote:
> Hi Tomi,
> 
> On Fri, 26 Apr 2013 08:31:03 +0300 Tomi Valkeinen <[email-masked]> wrote:
>>
>> On 2013-04-26 08:10, Stephen Rothwell wrote:
>>>
>>> After merging the omap_dss2 tree, today's linux-next build (powerpc
>>> ppc64_defconfig) failed like this:
>>>
>>> drivers/video/ps3fb.c: In function 'ps3fb_mmap':
>>> drivers/video/ps3fb.c:710:2: error: implicit declaration of function 'vm_ioremap_memory' [-Werror=implicit-function-declaration]
>>> drivers/video/ps3fb.c:712:2: error: 'offset' undeclared (first use in this function)
>>>
>>> Caused by commit 6ea19860d6c5 ("fbdev/ps3fb: use vm_iomap_memory()").
>>>
>>> I have used the omap_dss2 tree from next-20130424 for today.
>>>
>>
>> Thanks. Updated patch below. I couldn't right away find where to download a
>> ppc64 toolchain, so not compile tested...
> 
> https://www.kernel.org/pub/tools/crosstool/

Thanks. It compiles now. I've pushed new version to my for-next branch.

 Tomi